Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0036417
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 01. General setupmajoralways2017-07-05 13:262017-11-29 14:19
ReporterngarciaView Statuspublic 
Assigned Tocollazoandy4 
PriorityurgentResolutionfixedFixed in Version3.0PR17Q4
StatusclosedFix in branchFixed in SCM revision6d404d5b20d4
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toaferraz
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0036417: Characteristic Description is not updated in Update Characteristics process from Product window

DescriptionCharacteristic Description is not updated in Update Characteristics process from Product window. You should launch the Update Product Characteristics Description process for all the products or characteristics values in order to have it filled

In 3.0PR16Q3.5 the description was filled automatically
Steps To ReproduceAs group admin role:
   Create a Product Characteristic (Variant = 'N')
   Set a Value
   Create a Product
   Add the previously created characteristic in the Characteristics tab
   Launch the Update Characteristics process and select the previously created value
   Check the Characteristics Description section is not shown in form view
   Open the window in grid view and check the field is empty
   
   Try to launch the Update Product Characteristics Description and check you cannot select the product as the selector is filtered by pricelist and warehouse

   Launch the Update Product Characteristics Description process without any parameter (for all the products) and check the Characteristics Description field of the product is now filled
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0097988)
collazoandy4 (developer)
2017-07-10 17:01

As group admin role:
   Go to Product Characteristic and create a new record:
     Name: Characteristic
     Variant = 'N'
     In Value tab create a new record:
       Name: Value
   Go to Product window and create a new record:
     Search Key / Name: Product
     In Characteristic tab create a new record:
       Characteristic: Characteristic
   Launch the Update Characteristics process and select the previously created value
   Check the Characteristics Description section is shown in form view
   Open the window in grid view and check the field is not empty
(0098012)
hgbot (developer)
2017-07-11 11:39

Repository: erp/devel/pi
Changeset: 6d404d5b20d4f986786b5cd052b3b8fea6fc8d8a
Author: Armaignac <collazoandy4 <at> gmail.com>
Date: Mon Jul 10 10:37:15 2017 -0400
URL: http://code.openbravo.com/erp/devel/pi/rev/6d404d5b20d4f986786b5cd052b3b8fea6fc8d8a [^]

Fixes issue 36417: Characteristic Description is not updated

The Characteristic process from product window doesn't update the product
characteristic description, a new call to Update Product Characteristics
Description process is made to correctly update the product characteristic
description

---
M modules/org.openbravo.client.application/src/org/openbravo/client/application/event/UpdateInvariantCharacteristicsHandler.java
---
(0098013)
hgbot (developer)
2017-07-11 11:39

Repository: erp/devel/pi
Changeset: 267dc90e6f1f92feeb753c86af232d109abfb6a4
Author: Alvaro Ferraz <alvaro.ferraz <at> openbravo.com>
Date: Tue Jul 11 11:38:20 2017 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/267dc90e6f1f92feeb753c86af232d109abfb6a4 [^]

Related to issue 36417: Code review improvements

Call to VariantChDescUpdateProcess after flush to set characteristic description properly.

---
M modules/org.openbravo.client.application/src/org/openbravo/client/application/event/UpdateInvariantCharacteristicsHandler.java
---
(0098014)
aferraz (developer)
2017-07-11 11:40

Code review + Testing OK
(0099267)
hudsonbot (developer)
2017-09-21 16:49

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/9750b78d3e5c [^]
Maturity status: Test
(0099268)
hudsonbot (developer)
2017-09-21 16:49

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/9750b78d3e5c [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2017-07-05 13:26 ngarcia New Issue
2017-07-05 13:26 ngarcia Assigned To => Triage Finance
2017-07-05 13:26 ngarcia Modules => Core
2017-07-05 13:26 ngarcia Triggers an Emergency Pack => No
2017-07-05 13:26 ngarcia Issue Monitored: networkb
2017-07-05 13:27 ngarcia Summary Characteristic Description is not updated in Update Characteristics process for Product window => Characteristic Description is not updated in Update Characteristics process from Product window
2017-07-05 13:27 ngarcia Description Updated View Revisions
2017-07-05 14:39 RenateNieuwkoop Issue Monitored: RenateNieuwkoop
2017-07-06 08:28 vmromanos Assigned To Triage Finance => collazoandy4
2017-07-07 16:16 collazoandy4 Status new => scheduled
2017-07-10 17:01 collazoandy4 Note Added: 0097988
2017-07-11 11:39 hgbot Checkin
2017-07-11 11:39 hgbot Note Added: 0098012
2017-07-11 11:39 hgbot Status scheduled => resolved
2017-07-11 11:39 hgbot Resolution open => fixed
2017-07-11 11:39 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/6d404d5b20d4f986786b5cd052b3b8fea6fc8d8a [^]
2017-07-11 11:39 hgbot Checkin
2017-07-11 11:39 hgbot Note Added: 0098013
2017-07-11 11:40 aferraz Review Assigned To => aferraz
2017-07-11 11:40 aferraz Note Added: 0098014
2017-07-11 11:40 aferraz Status resolved => closed
2017-07-11 11:40 aferraz Fixed in Version => 3.0PR17Q4
2017-09-21 16:49 hudsonbot Checkin
2017-09-21 16:49 hudsonbot Note Added: 0099267
2017-09-21 16:49 hudsonbot Checkin
2017-09-21 16:49 hudsonbot Note Added: 0099268
2017-11-29 14:19 eugeni Issue Monitored: eugeni


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker